SET mymap=VOXDEMO
:================
: change the above to set your mapname
:            used by Blood and Mapedit
:-------------------------------------

:=====================================
:
:  \/oxel /\dd 1.1 by BME/ILMHB 2014
:
:=====================================

SET wd=VOXADD
@ECHO OFF
CLS
ECHO.
SET add=CALL %wd%\VOXCHECK.bat
SET err=
>%wd%\voxlist.lst
>%wd%\KVX.rfs
IF NOT EXIST %wd%\SURFACE.dat COPY SURFACE.dat %wd%>nul
IF NOT EXIST %wd%\VOXEL.dat COPY VOXEL.dat %wd%>nul
COPY BLOOD.rff %wd%>nul
COPY VOXEL.dat VOXEL.bme>nul
COPY SURFACE.dat SURFACE.bme>nul

CALL %wd%\VOXLIST.bat
ECHO ;>>%wd%\KVX.rfs
IF "%err%"=="1" GOTO nope
GOTO domore

:domore
ECHO  No errors found.
CD %wd%
VOXPARAM.exe
CD ..

COPY %wd%\VOXEL.dat>nul
COPY %wd%\SURFACE.dat>nul
IF EXIST TILES018.art COPY TILES018.art TILES018.bme>nul
COPY %wd%\TILES018.art>nul

BARF BLOOD.rff -a @%wd%\KVX.rfs>nul


::=============================================
:menuscreen
CLS

ECHO.
ECHO                      [41;37m VOXEL ADD 1.1 by BME/ILMHB 2014 [0m MENU
ECHO.
ECHO [6B
ECHO                                  [P] = Play
ECHO                                  [E] = Edit
ECHO                                  [H] = Help
ECHO                                  [X] = Quit
ECHO.

CHOICE /N /C:pehx>nul
IF ERRORLEVEL 4 GOTO uninst
IF ERRORLEVEL 3 GOTO helpme
IF ERRORLEVEL 2 GOTO editmap
IF ERRORLEVEL 1 GOTO playmap

:helpme
CLS
ECHO.
ECHO                      [41;37m VOXEL ADD 1.1 by BME/ILMHB 2014 [0m HELP
ECHO.
TYPE %wd%\HELP.txt
ECHO.
ECHO.
ECHO                           [7m Press any key to contine [0m

PAUSE>nul
GOTO menuscreen

:editmap
MAPEDIT %mymap%
GOTO menuscreen

:playmap
BLOOD %mymap%
GOTO menuscreen
::=============================================


:uninst
CLS
DEL VOXEL.dat
DEL SURFACE.dat
DEL BLOOD.rff

REN VOXEL.bme VOXEL.dat
REN SURFACE.bme SURFACE.dat
COPY %wd%\BLOOD.rff>nul
DEL %wd%\BLOOD.rff

DEL TILES018.art
IF EXIST TILES018.bme REN TILES018.bme TILES018.art

GOTO end

:nope
DEL %wd%\VOXLIST.lst
ECHO  Script aborted.
GOTO end

:end
ECHO.
ECHO  All files restored!
ECHO.
ECHO  BME/ILMHB 2014
ECHO.
